From acf38a805586cc7e91e886f3e5801c315591cfe5 Mon Sep 17 00:00:00 2001
From: Jari Aalto <jari.aalto@cante.net>
Date: Mon, 27 Feb 2012 06:48:09 -0500
Subject: [PATCH] format-3.0
Organization: Private
Content-Type: text/plain; charset="utf-8"
Content-Transfer-Encoding: 8bit

Signed-off-by: Jari Aalto <jari.aalto@cante.net>
---
 debian/README.source                               |   38 --------------------
 debian/changelog                                   |    8 ++++
 debian/compat                                      |    2 +-
 debian/control                                     |    4 +-
 debian/patches/00list                              |    4 --
 ...{10Fix_makefile.dpatch => 10Fix_makefile.patch} |   11 +-----
 ..._desktopfile.dpatch => 20Fix_desktopfile.patch} |    7 +---
 ..._backend.dpatch => 30Fix_tracker_backend.patch} |    8 +---
 ..._gtkiconload.dpatch => 40Fix_gtkiconload.patch} |    8 +---
 debian/patches/series                              |    4 ++
 debian/rules                                       |    5 +--
 debian/source/format                               |    2 +-
 12 files changed, 26 insertions(+), 75 deletions(-)
 delete mode 100644 debian/README.source
 delete mode 100644 debian/patches/00list
 rename debian/patches/{10Fix_makefile.dpatch => 10Fix_makefile.patch} (82%)
 rename debian/patches/{20Fix_desktopfile.dpatch => 20Fix_desktopfile.patch} (66%)
 rename debian/patches/{30Fix_tracker_backend.dpatch => 30Fix_tracker_backend.patch} (76%)
 rename debian/patches/{40Fix_gtkiconload.dpatch => 40Fix_gtkiconload.patch} (78%)
 create mode 100644 debian/patches/series

diff --git a/debian/README.source b/debian/README.source
deleted file mode 100644
index fc98b3d..0000000
--- a/debian/README.source
+++ /dev/null
@@ -1,38 +0,0 @@
-This package uses dpatch to manage all modifications to the upstream
-source. Changes are stored in the source package as diffs in
-debian/patches and applied during the build.
-
-To get the fully patched source after unpacking the source package, cd
-to the root level of the source package and run:
-
-    debian/rules patch
-
-Removing a patch is as simple as removing its entry from the
-debian/patches/00list file, and please also remove the patch file
-itself.
-
-Creating a new patch is done with "dpatch-edit-patch patch XX_patchname"
-where you should replace XX with a new number and patchname with a
-descriptive shortname of the patch. You can then simply edit all the
-files your patch wants to edit, and then simply "exit 0" from the shell
-to actually create the patch file.
-
-To tweak an already existing patch, call "dpatch-edit-patch XX_patchname"
-and replace XX_patchname with the actual filename from debian/patches
-you want to use.
-
-To clean up afterwards again, "debian/rules unpatch" will do the
-work for you - or you can of course choose to call
-"fakeroot debian/rules clean" all together.
-
-
---- 
-
-this documentation is part of dpatch package, and may be used by
-packages using dpatch to comply with policy on README.source. This
-documentation is meant to be useful to users who are not proficient in
-dpatch in doing work with dpatch-based packages. Please send any
-improvements to the BTS of dpatch package.
-
-original text by Gerfried Fuchs, edited by Junichi Uekawa <dancer@debian.org>
-10 Aug 2008.
diff --git a/debian/changelog b/debian/changelog
index 7f8bbb6..148a3f6 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,11 @@
+catfish (0.3.2-2.1) unstable; urgency=low
+
+  * Non-maintainer upload.
+  * Remove deprecated dpatch and upgrade to packaging format "3.0 quilt".
+  * Update to Standards-Version to 3.9.3 and debhelper to 9.
+
+ -- Jari Aalto <jari.aalto@cante.net>  Mon, 27 Feb 2012 06:46:05 -0500
+
 catfish (0.3.2-2) unstable; urgency=low
 
   * Team upload.
diff --git a/debian/compat b/debian/compat
index 7ed6ff8..ec63514 100644
--- a/debian/compat
+++ b/debian/compat
@@ -1 +1 @@
-5
+9
diff --git a/debian/control b/debian/control
index 1333d7a..79b7723 100644
--- a/debian/control
+++ b/debian/control
@@ -3,9 +3,9 @@ Section: utils
 Priority: optional
 Maintainer: Cody A.W. Somerville <cody-somerville@ubuntu.com>
 Uploaders: Python Applications Team <python-apps-team@lists.alioth.debian.org>
-Build-Depends: debhelper (>= 5), dpatch
+Build-Depends: debhelper (>= 9)
 Build-Depends-Indep: python-support (>= 0.5.3)
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://software.twotoasts.de/index.php?/pages/catfish_summary.html
 Vcs-Svn: svn://svn.debian.org/python-apps/packages/catfish/trunk/
 Vcs-Browser: http://svn.debian.org/viewsvn/python-apps/packages/catfish/trunk/
diff --git a/debian/patches/00list b/debian/patches/00list
deleted file mode 100644
index ed52ddc..0000000
--- a/debian/patches/00list
+++ /dev/null
@@ -1,4 +0,0 @@
-10Fix_makefile.dpatch
-20Fix_desktopfile.dpatch
-30Fix_tracker_backend.dpatch
-40Fix_gtkiconload.dpatch
diff --git a/debian/patches/10Fix_makefile.dpatch b/debian/patches/10Fix_makefile.patch
similarity index 82%
rename from debian/patches/10Fix_makefile.dpatch
rename to debian/patches/10Fix_makefile.patch
index 91448cd..285839f 100644
--- a/debian/patches/10Fix_makefile.dpatch
+++ b/debian/patches/10Fix_makefile.patch
@@ -1,13 +1,6 @@
-#! /bin/sh /usr/share/dpatch/dpatch-run
-## 10-Fix_makefile.dpatch by Cody A.W. Somerville <cody-somerville@ubuntu.com>
-## Updated by Savvas Radevic <vicedar@gmail.com>
-##
-## All lines beginning with `## DP:' are a description of the patch.
-## DP: Fix up Makefile.in (ex. Disable python compiling (we'll take care of that).
-##     Also disable the creation of symlinks as we'll handle it in debian/rules
-##     to ensure that it is done correctly.
+From: Cody A.W. Somerville <cody-somerville@ubuntu.com>
+Subject: Fix up Makefile.in (ex. Disable python compiling (we'll take care of that).
 
-@DPATCH@
 --- catfish-0.3.2/Makefile.in	2009-01-13 17:40:41.000000000 +0100
 +++ catfish-0.3.2/Makefile.in	2009-01-13 17:54:29.000000000 +0100
 @@ -5,7 +5,6 @@
diff --git a/debian/patches/20Fix_desktopfile.dpatch b/debian/patches/20Fix_desktopfile.patch
similarity index 66%
rename from debian/patches/20Fix_desktopfile.dpatch
rename to debian/patches/20Fix_desktopfile.patch
index ce82ea1..000cb35 100644
--- a/debian/patches/20Fix_desktopfile.dpatch
+++ b/debian/patches/20Fix_desktopfile.patch
@@ -1,9 +1,6 @@
-#! /bin/sh /usr/share/dpatch/dpatch-run
-## 20Fix_desktopfile.dpatch by  <cody-somerville@ubuntu.com>
-##
-## DP: Removed encoding field from desktop file
+From: <cody-somerville@ubuntu.com>
+Subject: Removed encoding field from desktop file
 
-@DPATCH@
 diff -urNad catfish-0.3~/catfish.desktop catfish-0.3/catfish.desktop
 --- catfish-0.3~/catfish.desktop	2007-07-27 18:12:52.000000000 -0700
 +++ catfish-0.3/catfish.desktop	2008-02-18 16:50:06.000000000 -0800
diff --git a/debian/patches/30Fix_tracker_backend.dpatch b/debian/patches/30Fix_tracker_backend.patch
similarity index 76%
rename from debian/patches/30Fix_tracker_backend.dpatch
rename to debian/patches/30Fix_tracker_backend.patch
index 9a6b683..4b10bb3 100644
--- a/debian/patches/30Fix_tracker_backend.dpatch
+++ b/debian/patches/30Fix_tracker_backend.patch
@@ -1,10 +1,6 @@
-#! /bin/sh /usr/share/dpatch/dpatch-run
-## 30Fix_tracker_backend.dpatch by Michael Biebl <biebl@debian.org>
-##
-## All lines beginning with `## DP:' are a description of the patch.
-## DP: Fix compatibility with Tracker 0.8.
+From: Michael Biebl <biebl@debian.org>
+Subject: Fix compatibility with Tracker 0.8.
 
-@DPATCH@
 diff -urNad '--exclude=CVS' '--exclude=.svn' '--exclude=.git' '--exclude=.arch' '--exclude=.hg' '--exclude=_darcs' '--exclude=.bzr' catfish-0.3.2~/catfish.py catfish-0.3.2/catfish.py
 --- catfish-0.3.2~/catfish.py	2010-04-13 02:01:04.000000000 +0200
 +++ catfish-0.3.2/catfish.py	2010-04-13 02:01:17.249556252 +0200
diff --git a/debian/patches/40Fix_gtkiconload.dpatch b/debian/patches/40Fix_gtkiconload.patch
similarity index 78%
rename from debian/patches/40Fix_gtkiconload.dpatch
rename to debian/patches/40Fix_gtkiconload.patch
index 5c6dc4c..6e6f26f 100644
--- a/debian/patches/40Fix_gtkiconload.dpatch
+++ b/debian/patches/40Fix_gtkiconload.patch
@@ -1,10 +1,6 @@
-#! /bin/sh /usr/share/dpatch/dpatch-run
-## 40Fix_gtkiconload.dpatch by Jakub Wilk <jwilk@debian.org>
-##
-## All lines beginning with `## DP:' are a description of the patch.
-## DP: Prevent program crashing when an icon is missing from the icon theme.
+From: Jakub Wilk <jwilk@debian.org>
+Subject: Prevent program crashing when an icon is missing from the icon theme.
 
-@DPATCH@
 diff -urNad '--exclude=CVS' '--exclude=.svn' '--exclude=.git' '--exclude=.arch' '--exclude=.hg' '--exclude=_darcs' '--exclude=.bzr' catfish-0.3.2~/catfish.py catfish-0.3.2/catfish.py
 --- catfish-0.3.2~/catfish.py	2012-02-09 02:50:32.000000000 +0100
 +++ catfish-0.3.2/catfish.py	2012-02-09 02:51:33.823351096 +0100
diff --git a/debian/patches/series b/debian/patches/series
new file mode 100644
index 0000000..c124e4d
--- /dev/null
+++ b/debian/patches/series
@@ -0,0 +1,4 @@
+10Fix_makefile.patch
+20Fix_desktopfile.patch
+30Fix_tracker_backend.patch
+40Fix_gtkiconload.patch
diff --git a/debian/rules b/debian/rules
index 584e600..23ea179 100755
--- a/debian/rules
+++ b/debian/rules
@@ -1,12 +1,11 @@
 #!/usr/bin/make -f
 
-include /usr/share/dpatch/dpatch.make
 
 config.status: configure
 	dh_testdir
 	./configure --prefix=/usr
 
-build-indep: patch build-stamp
+build-indep: build-stamp
 
 build-stamp:  config.status
 	dh_testdir
@@ -17,7 +16,7 @@ build-arch: ;
 
 build: build-arch build-indep
 
-clean: unpatch
+clean:
 	dh_testdir
 	dh_testroot
 	rm -f build-stamp 
diff --git a/debian/source/format b/debian/source/format
index d3827e7..163aaf8 100644
--- a/debian/source/format
+++ b/debian/source/format
@@ -1 +1 @@
-1.0
+3.0 (quilt)
-- 
1.7.9

